<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<link rel="stylesheet" href="style.css" type="text/css">
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="Start" href="index.html">
<link rel="previous" href="Utils.html">
<link rel="next" href="Tree.html">
<link rel="Up" href="index.html">
<link title="Index of types" rel=Appendix href="index_types.html">
<link title="Index of values" rel=Appendix href="index_values.html">
<link title="Index of modules" rel=Appendix href="index_modules.html">
<link title="Utils" rel="Chapter" href="Utils.html">
<link title="RandList" rel="Chapter" href="RandList.html">
<link title="Tree" rel="Chapter" href="Tree.html"><title>RandList</title>
</head>
<body>
<div class="navbar"><a class="pre" href="Utils.html" title="Utils">Previous</a>
&nbsp;<a class="up" href="index.html" title="Index">Up</a>
&nbsp;<a class="post" href="Tree.html" title="Tree">Next</a>
</div>
<h1>Module <a href="type_RandList.html">RandList</a></h1>

<pre><span id="MODULERandList"><span class="keyword">module</span> RandList</span>: <code class="code">sig</code> <a href="RandList.html">..</a> <code class="code">end</code></pre><div class="info module top">
<div class="info-desc">
<p>Methods to generate integer lists in random order.</p>
</div>
</div>
<hr width="100%">

<pre><span id="VALgen_permutation"><span class="keyword">val</span> gen_permutation</span> : <code class="type">int -> int list</code></pre><div class="info ">
<div class="info-desc">
<p>Generates a random permutation of integers from 1 to n (included).</p>
</div>
<ul class="info-attributes">
<li><b>Returns</b> a list containing the n first integers in random order</li>
</ul>
</div>

<pre><span id="VALgen_permutation2"><span class="keyword">val</span> gen_permutation2</span> : <code class="type">int -> int -> int list</code></pre><div class="info ">
<div class="info-desc">
<p>Generates a random permutation of integers from p to q (included).</p>
</div>
<ul class="info-attributes">
<li><b>Returns</b> a list containing the integers from p to q in random order</li>
</ul>
</div>
</body></html>
